Name:           lyra
Version:        0.5.3
Release:        3%{?dist}
Summary:        High availability RabbitMQ client

License:        ASL 2.0
URL:            https://github.com/jhalterman/%{name}
Source0:        %{url}/archive/%{name}-%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-plugin-bundle
BuildRequires:  mvn(ch.qos.logback:logback-classic)
BuildRequires:  mvn(ch.qos.logback:logback-core)
BuildRequires:  mvn(com.rabbitmq:amqp-client)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.jodah:concurrentunit)
BuildRequires:  mvn(org.mockito:mockito-all)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:  mvn(org.testng:testng)

%description
Lyra is a RabbitMQ client that embraces failure, helping you achieve
high availability in your services by automatically recovering AMQP
resources when unexpected failures occur. Lyra also supports automatic
invocation retries, recovery related eventing, and exposes a simple,
lightweight API built around the Java AMQP client library.

Lyra was created with the simple goal of recovering client created
AMQP resources from any RabbitMQ failure that could reasonably occur.
While the Java AMQP client provides some automatic recovery, Lyra
provides the ability to recover from any type of failure, including
Channel and Consumer closures, while providing flexible recovery
policies, configuration, and eventing to help get your services
back online.

See the wiki online for more information.
%{url}/%{name}/wiki

%package javadoc
Summary:         Javadoc files for %{name}

%description javadoc
%{summary}.


%prep
%setup -qn%{name}-%{name}-%{version}
%pom_remove_plugin :maven-gpg-plugin
%pom_add_dep junit:junit::test
# commit ac007272844098fda114b4aa2f77d184409c4573
find src/test/java/net/jodah/lyra/internal -name \*.java |xargs sed -i /waiter.expectResume/d

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%license LICENSE
%doc *.md

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 10 2016 Builder <projects.rg@smart.ms> - 0.5.3-2
- rebuilt

* Tue Sep 27 2016 Raphael Groner <projects.rg@smart.ms> - 0.5.3-1
- new version
- add BR: maven-plugin-bundle

* Thu Jun 16 2016 Raphael Groner <projects.rg@smart.ms> - 0.5.2-2
- comply with xmvn-builddep

* Sun Feb  7 2016 Raphael Groner <projects.rg@smart.ms> 0.5.2-1
- initial
